changeset 1391:42ec661e3916

Fix BINARY_PACKAGE_TARBALLS generation: some packages produce no output (zlib used to build dropbear for example), and thus check for an empty list before trying to make a tarball.
author Rob Landley <rob@landley.net>
date Fri, 17 Jun 2011 13:00:17 -0500
parents ac60cab45463
children d16057658651
files sources/functions.sh
diffstat 1 files changed, 5 insertions(+), 4 deletions(-) [+]
line wrap: on
line diff
--- a/sources/functions.sh	Fri Jun 17 12:42:12 2011 -0500
+++ b/sources/functions.sh	Fri Jun 17 13:00:17 2011 -0500
@@ -137,10 +137,11 @@
   if [ ! -z "$BINARY_PACKAGE_TARBALLS" ]
   then
     TARNAME="$PACKAGE-$STAGE_NAME-${ARCH_NAME}".tar.bz2
-    echo -n Creating "$TARNAME"
-    { recent_binary_files | xargs -0 tar -cjvf \
-        "$BUILD/${TARNAME}" -C "$STAGE_DIR" || dienow
-    } | dotprogress
+    [ ! -z "$(recent_binary_files)" ] &&
+      echo -n Creating "$TARNAME" &&
+      { recent_binary_files | xargs -0 tar -cjvf \
+          "$BUILD/${TARNAME}" -C "$STAGE_DIR" || dienow
+      } | dotprogress
   fi
 
   if [ ! -z "$NO_CLEANUP" ]